#!perl
#
# Install script for TwistyBundleTWiki04x02
#
# Copyright (C) 2004-2007 TWiki Contributors. All Rights Reserved.
# TWiki Contributors are listed in the AUTHORS file in the root of
# this distribution. NOTE: Please extend that file, not this notice.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version. For
# more details read LICENSE in the root of this distribution.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# As per the GPL, removal of this notice is prohibited.
#
# Author: Crawford Currie http://wikiring.com
#
# NOTE TO THE DEVELOPER: THIS FILE IS GENERATED AUTOMATICALLY
# BY THE BUILD PROCESS DO NOT EDIT IT - IT WILL BE OVERWRITTEN
#
use strict;
require 5.008;

=pod

---+ TwistyBundleTWiki04x02_installer
This is the installer script. The basic function of this script is to
locate an archive and unpack it.

It will also check the dependencies listed in DEPENDENCIES and assist
the user in installing any that are missing. The script also automatically
maintains the revision histories of any files that are being installed by the
package but already have ,v files on disc (indicating that they are
revision controlled).

The script also functions as an *uninstaller* by passing the parameter
=uninstall= on the command-line. Note that uninstallation does *not* revert
the history of any topic changed during the installation.

The script allows the definition of PREINSTALL and POSTINSTALL scripts.
These scripts can be used for example to modify the configuration during
installation, using the functions described below.

Refer to the documentation of =configure=

=cut

# This is all done in package TWiki so that reading LocalSite.cfg and TWiki.cfg
# will put the config vars into the right namespace.
package TWiki;

# The root of package URLs
my $PACKAGES_URL = 'http://twiki.org/p/pub/Plugins';

# Extract MANIFEST and DEPENDENCIES from the __DATA__
undef $/;
my @DATA = split(/<<<< (.*?) >>>>\s*\n/, <DATA>);
shift @DATA; # remove empty first element

unless (do 'tools/extender.pl') {
    die <<MESSAGE;
************************************************************
Could not load installer script from tools/extender.pl.

If this is a TWiki release prior to 4.2, please download the
latest version of the script from:

http://twiki.org/cgi-bin/view/Codev/ExtenderScript

and place it in the 'tools' directory below your installation
root (create the directory if necessary).

If this is TWiki 4.2 or later, the script is missing from
your installation, or may be broken.
************************************************************
MESSAGE
}

sub preuninstall {
    # No PREUNINSTALL script;
}
sub postuninstall {
    # No POSTUNINSTALL script;
}

sub preinstall {
    # No PREINSTALL script
}

sub postinstall {
    # No POSTINSTALL script
}

TWiki::Extender::install(
    $PACKAGES_URL, 'TwistyBundleTWiki04x02', 'TwistyBundleTWiki04x02', @DATA);

1;

# MANIFEST and DEPENDENCIES are done this way
# to make it easy to extract them from this script.

__DATA__
<<<< MANIFEST >>>>
TwistyBundleTWiki04x02_installer,0770,
TwistyBundleTWiki04x02_installer.pl,0644,
data/TWiki/TwistyBundleTWiki04x02.txt,0644,
data/TWiki/BehaviourContrib.txt,0644,
data/TWiki/TwistyContrib.txt,0644,
data/TWiki/TwistyPlugin.txt,0644,
lib/TWiki/Contrib/BehaviourContrib.pm,0644,
lib/TWiki/Contrib/TwistyBundleTWiki04x02.pm,0644,
lib/TWiki/Contrib/TwistyContrib.pm,0644,
lib/TWiki/Plugins/TwistyPlugin.pm,0644,
pub/TWiki/BehaviourContrib/behaviour.compressed.js,0644,
pub/TWiki/BehaviourContrib/behaviour.compressed_src.js,0644,
pub/TWiki/BehaviourContrib/behaviour.js,0644,
pub/TWiki/BehaviourContrib/behaviour_src.js,0644,
pub/TWiki/BehaviourContrib/cssQuery/cssQuery-p.js,0755,
pub/TWiki/BehaviourContrib/cssQuery/src/cssQuery-level2.js,0755,
pub/TWiki/BehaviourContrib/cssQuery/src/cssQuery-level3.js,0755,
pub/TWiki/BehaviourContrib/cssQuery/src/cssQuery-standard.js,0755,
pub/TWiki/BehaviourContrib/cssQuery/src/cssQuery.js,0755,
pub/TWiki/BehaviourContrib/cssQuery/src/test.html,0755,
pub/TWiki/BehaviourContrib/cssQuery/test.html,0755,
pub/TWiki/TwistyContrib/twist.compressed.js,0644,
pub/TWiki/TwistyContrib/twist.compressed_src.js,0644,
pub/TWiki/TwistyContrib/twist.css,0644,
pub/TWiki/TwistyContrib/twist.js,0644,
pub/TWiki/TwistyContrib/twist_src.js,0644,

<<<< DEPENDENCIES >>>>

